<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<title>JMIEcommerce</title>	
	<link rel="icon"  th:href="@{/assets/img/img/iconLogo.ico}" type="image/icon type">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="shortcut icon" type="image/x-icon" th:href="@{/assets/img/favicon.ico}">
	<link rel="stylesheet" th:href="@{/assets/css/bootstrap.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/owl.carousel.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/slick.css}">
	<link rel="stylesheet" th:href="@{/assets/css/magnific-popup.css}">
	<link rel="stylesheet" th:href="@{/assets/css/font.awesome.css}">
	<link rel="stylesheet" th:href="@{/assets/css/ionicons.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/animate.css}">
	<link rel="stylesheet" th:href="@{/assets/css/jquery-ui.min.css}">
	<link rel="stylesheet" th:href="@{/assets/css/slinky.menu.css}">
	<link rel="stylesheet" th:href="@{/assets/css/plugins.css}">
	<link rel="stylesheet" th:href="@{/assets/css/style.css}">
	<script th:src="@{/assets/js/vendor/modernizr-3.7.1.min.js}"></script>
</head>

<body>

	<div th:replace="cabeceraSuperior :: copy"></div>
	<div th:replace="cabeceraInferior :: copy"></div>	
	<div th:replace="cabeceraInferior :: copy1"></div>
	
	<div th:replace="seccionActual :: copy"></div>

	<div class="shop_area shop_reverse">
        <div class="container">
            <div class="row">            	
                <div class="col-lg-3 col-md-12">                    
                    <aside class="sidebar_widget">
                        <div class="widget_inner">
                        	<div class="widget_list widget_categories">
                                <h2 th:text="#{paginaListaProductos.filtrarPor}">Filtrar por</h2>                                
                            </div>                                                        
                            <div class="widget_list widget_categories">
                                <h2 th:text="#{paginaListaProductos.categorias}">Categorias</h2>
                                <ul th:each="categoriaAux : ${categorias}" th:if= "${categorias != null && !categorias.empty}">
                                    <li>                       
                                    	<input type="checkbox" th:checked="${categoriaAux.pkcategoria}==${categoria}" th:onchange="@{'window.location.href=\'/ecommerceJMI/listItem?category=' + ${categoriaAux.pkcategoria}} + '&subcategory=&product=&name=&page=\''">                 
                                        <a class="borderBottomOptionLateral" th:text="${categoriaAux.nombre}" th:href="@{'/listItem?category=' + ${categoriaAux.pkcategoria}} + '&subcategory=&product=&name=&page='"></a>
                                        <span class="checkmark"></span>
                                    </li>    
                                                                    
                                </ul>
                            </div>				
                            <div class="widget_list widget_categories" th:if= "${subcategorias != null && !subcategorias.empty}">
                                <h2 th:text="#{paginaListaProductos.subcategorias}">Subcategorias</h2>
                                <ul th:each="subcategoriaAux : ${subcategorias}">
                                    <li>             
                                    	<input type="checkbox" th:checked="${subcategoriaAux.pkSubCategoria}==${subcategoria}" th:onchange="@{'window.location.href=\'/ecommerceJMI/listItem?category='+${categoria}+'&subcategory=' + ${subcategoriaAux.pkSubCategoria}} + '&product=&name=&page=\''">          
                                    	<a class="borderBottomOptionLateral" th:text="${subcategoriaAux.nombre}" th:href="@{'/listItem?category='+${categoria}+'&subcategory=' + ${subcategoriaAux.pkSubCategoria}} + '&product=&name=&page='"></a>
                                        <span class="checkmark"></span>
                                    </li>    
                                                                    
                                </ul>
                            </div>						                            	
						</div>
                    </aside>                    
                </div>
                
                
                
                
                <div class="col-lg-9 col-md-12">          
                	<div class="shop_banner bannerNoRepearYToal" th:data-bgimg="@{/assets/img/img/bannerListaProductos.png}" th:if="${tituloCategoria != null && !tituloCategoria.empty}">                        
                        <h1 class="bannerTituloListaProductosCategoria" th:text="${tituloCategoria}"></h1>                        
                    </div>                           
                    <div class="shop_toolbar_wrapper">
                        <div class="shop_toolbar_btn">
                            <button data-role="grid_3" type="button" class="active btn-grid-3" data-toggle="tooltip" title="3"></button>                            
                            <button data-role="grid_list" type="button" class="btn-list" data-toggle="tooltip"  title="List"></button>
                        </div>                    
                        <div class="page_amount">
                            <p th:text="@{#{paginaListaProductos.mostrando} +' ' + ${paginacion.numeroProductoInicial} + '-'  + ${paginacion.numeroProductoFinal} + ' ' + #{paginaListaProductos.de} + ' ' + ${paginacion.numeroProductos} + ' ' + #{paginaListaProductos.resultados}}"></p>
                        </div>
                    </div>                    

                    <div class="row shop_wrapper grid_3">
                        <div class="col-lg-4 col-md-4 col-sm-6" th:each="producto : ${paginacion.productos}">
                            <div class="single_product">
                                <div class="product_thumb centerProductSugger">
                                    <a class="primary_img" th:href="@{'/productDetails?product=' + ${producto.pkproducto} + '&category=' + ${categoria} + '&subcategory=' + ${subcategoria} + '&cart='}">
                                    	<img class="imgWidth80" th:if="${(producto!=null && producto.listaProductoImagen!=null && producto.listaProductoImagen.size>0)}" th:src="${producto.listaProductoImagen[0].url}"/>
                                    	<img class="imgWidth80" th:if="${(producto==null && producto.listaProductoImagen==null || producto.listaProductoImagen.size==0 || producto.listaProductoImagen[0].url==null)}" th:src="@{/assets/img/img/sinImagen.png}"/>                                     		 
                                    </a>
                                    
                                    <div class="action_links"></div>                                                                        
                                </div>
                                <div class="product_content grid_content">
                                    <p class="manufacture_product height80"><a th:text="${producto.nombre}" th:href="@{'/productDetails?product=' + ${producto.pkproducto} + '&category=' + ${categoria} + '&subcategory=' + ${subcategoria} + '&cart='}"></a></p>
                                    
                                    <div class="price_box priceListProduct">$&nbsp;<span th:text="${producto.precioMenudeoFormato}"></span></div>
                                    <a class="buttonAddCart" title="" th:href="@{'/productDetails?product=' + ${producto.pkproducto} + '&category=' + ${categoria} + '&subcategory=' + ${subcategoria} + '&cart='}" th:text="#{paginaListaProductos.comprar}">Agregar al carrito</a>
                                </div>
                                <div class="product_content list_content">
                                    <div class="left_caption">
                                        <p class="manufacture_product my_manufacture_product"><a th:text="${producto.nombre}" th:href="@{'/productDetails?product=' + ${producto.pkproducto} + '&category=' + ${categoria} + '&subcategory=' + ${subcategoria} + '&cart='}"></a></p>
                                        <h4><a th:href="@{'/productDetails?product=' + ${producto.pkproducto} + '&category=' + ${categoria} + '&subcategory=' + ${subcategoria} + '&cart='}"></a></h4>                                        
                                    </div>
                                    <div class="right_caption">                                        
                                        <div class="price_box priceListProduct">$&nbsp;<span th:text="${producto.precioMenudeoFormato}"></span></div>
                                        <div class="cart_links_btn">
                                            <a title="" th:href="@{'/productDetails?product=' + ${producto.pkproducto} + '&category=' + ${categoria} + '&subcategory=' + ${subcategoria} + '&cart='}" th:text="#{paginaListaProductos.comprar}">Agregar al carrito</a>
                                        </div>                                        
                                    </div>
                                </div>
                            </div>
                        </div>
					</div>
                    
                    <div class="shop_toolbar t_bottom" th:if= "${paginacion!=null && paginacion.paginas!=null && !paginacion.paginas.empty}">
                        <div class="pagination">
                            <ul>
                            	<li class="next" th:each="pagina : ${paginacion.paginas}" th:class="${pagina.id}==1 ? current : (${pagina.id}==2 ? disable : '')" >
                            		<a style="line-height: 30px;" th:text="${pagina.nombre}" th:href="@{'/listItem?category=' + ${categoria} + '&subcategory=' + ${subcategoria} + '&product=' + ${producto} + '&name=' + ${nombre} + '&page='+${pagina.descripcion}}"></a>
                            	</li>                                                              
                            </ul>
                        </div>
                    </div>
                </div>                
            </div>
        </div>
    </div>    
	
	<div th:replace="seccionProductosSugeridos :: copy"></div>
	
	<div th:replace="respuesta :: copy"></div>
	<div th:replace="piePagina :: copy"></div>

	<script th:src="@{/assets/js/vendor/jquery-3.4.1.min.js}"></script>
	<script th:src="@{/assets/js/popper.js}"></script>
	<script th:src="@{/assets/js/bootstrap.min.js}"></script>
	<script th:src="@{/assets/js/owl.carousel.min.js}"></script>
	<script th:src="@{/assets/js/slick.min.js}"></script>
	<script th:src="@{/assets/js/jquery.magnific-popup.min.js}"></script>
	<script th:src="@{/assets/js/jquery.countdown.js}"></script>
	<script th:src="@{/assets/js/jquery.ui.js}"></script>
	<script th:src="@{/assets/js/jquery.elevatezoom.js}"></script>
	<script th:src="@{/assets/js/isotope.pkgd.min.js}"></script>
	<script th:src="@{/assets/js/slinky.menu.js}"></script>
	<script th:src="@{/assets/js/plugins.js}"></script>
	<script th:src="@{/assets/js/paginaPrincipal.js}"></script>
	<script th:src="@{/assets/js/paginaListaProductos.js}"></script>
	<script th:src="@{/assets/js/cabecera.js}"></script>	

</body>

</html>